Bug 661473 - wlan fails at boot.
Summary: wlan fails at boot.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-08 19:43 UTC by Barry Godusky
Modified: 2011-03-13 04:34 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 19:21:23 UTC
Type: ---


Attachments (Terms of Use)
boot.lof with selinux enabled (3.19 KB, text/plain)
2010-12-08 19:46 UTC, Barry Godusky
no flags Details

Description Barry Godusky 2010-12-08 19:43:17 UTC
Description of problem: The problem is that when starting my laptop the wireless card fails to connect with error: Bringing up interface wlan0: Error for wireless request "Set Encode" (8B2A) :
SET failed on device wlan0 ; Invalid argument.


Version-Release number of selected component (if applicable):
Toshiba Satellite A75 and is an Atheros AR5001X+ Wireless Network Adapter (rev 01) as listed by lspci.

How reproducible: 
Everytime this laptop is booted or rebooted. The wireless does work after logging into the system and does auto connect as expected but it needs to connect before logging into the system to connect public windows shares before logging into the system.


Steps to Reproduce:
1.At first the error was very vague and this is what was in the boot.log
Bringing up loopback interface: [60G[[0;32m OK [0;39m]

Bringing up interface wlan0:
Determining IP information for wlan0... failed; no link present. Check cable?
[60G[[0;31mFAILED[0;39m]

I suspected something with SeLinux as there were denials of access before the interface reached this point. I think it is still reproducible if needed.

2.Disabled SeLinux, then the following error was in the boot.log:
Bringing up interface wlan0: Error for wireless request "Set Encode" (8B2A) :
SET failed on device wlan0 ; Invalid argument.

3. Re-enable seLinux and it goes back to the first error reported in #1. Attached is the boot.log file with selinux enabled. I will try to post another boot.log file with selinux disabled to see if it reproduces the error listed in #2
  
Actual results:

Fails to connect.


Expected results:
For the wireless to connect at boot granting access to windows public shares


Additional info:

Comment 1 Barry Godusky 2010-12-08 19:46:07 UTC
Created attachment 467560 [details]
boot.lof with selinux enabled

Comment 2 Barry Godusky 2010-12-08 19:59:15 UTC
Also it is a wep encrypted AP that this laptop connects two.

Comment 3 Kyle McMartin 2010-12-09 16:58:57 UTC
I don't think this is a kernel bug. If it works after boot with network manager, it's either a configuration problem, or a bug in how ifcfg scripts are bringing up your wireless.

This probably has something to do with iw versus legacy iwconfig.

John -- any ideas?

Comment 4 Barry Godusky 2010-12-16 23:14:13 UTC
Guys I finally got this working. There is some kind of software problem that it does not create the required files for it to work at boot.

I'm using KDE and Knetworkmanager. My fix was to copy all files from etc/sysconfig/networking/profiles/default to etc/networkmanager/system-connections

For some reason they are not created in fedora 14 KDE Platform Version 4.5.4 (KDE 4.5.4).
Also after looking and asking questions in multiple Linux forums that these items are missing in knetworkmanager and one being disabled(grayed out). The systems connection option is grayed out and the available to all users is missing altogether.

Hopes this helps you guys in routing this bug to the correct group to get this fixed before the next release of Fedora!

Comment 5 Barry Godusky 2010-12-16 23:22:39 UTC
Guys I finally got this working. There is some kind of software problem that it does not create the required files for it to work at boot.

I'm using KDE and Knetworkmanager. My fix was to copy all files from etc/sysconfig/networking/profiles/default to etc/networkmanager/system-connections

For some reason they are not created in fedora 14 KDE Platform Version 4.5.4 (KDE 4.5.4).
Also after looking and asking questions in multiple Linux forums that these items are missing in knetworkmanager and one being disabled(grayed out). The systems connection option is grayed out and the available to all users is missing altogether.

Hopes this helps you guys in routing this bug to the correct group to get this fixed before the next release of Fedora!

Comment 6 John W. Linville 2011-01-13 19:21:23 UTC
Closing on bases of comment 4 (and comment 5)...

Comment 7 Andris Pavenis 2011-01-14 05:23:55 UTC
I guess it is too early to close the bug.

I can reproduce this problem on several systems (using GNOME not KDE).
The solution suggested above does not help for me (tried on one of systems):

Bringing up loopback interface:  	[  OK  ]
Bringing up interface eth0:  	[  OK  ]
Bringing up interface wlan1:  Error for wireless request "Set Encode" (8B2A) :
    SET failed on device wlan1 ; Invalid argument.

Determining IP information for wlan1... failed; no link present.  Check cable?
	[FAILED]
Starting auditd: 	[  OK  ]

Even if the solution mentioned before works for some, it is a workaround not a fix. User should be able to setup WLAN initialization at boot time from GUI.

Some data about WLAN:
- WPA&WPA2 personal
- In one place AES encryption is being used on others TKIP

Comment 8 Simona Avornicesei 2011-03-13 04:34:24 UTC
NetworkManager does not see or allow creation of system connections. The checkbox is disabled in both F13 and F14 64bit. Comment 5 does not fix the issue.


Note You need to log in before you can comment on or make changes to this bug.